=== po/CMakeLists.txt ===
--- 
+++ 
@@ -5,4 +5,6 @@
 if (NOT GETTEXT_MSGFMT_EXECUTABLE)
 MESSAGE(FATAL_ERROR "Please install msgfmt binary")
 endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
+
 add_subdirectory(cs)
+add_subdirectory(de)
