=== debian/changelog ===
soundkonverter (1.2.1-1) unstable; urgency=low

  * Added watch file.
  * Removed linker patch because it was applied upstream.
  * New upstream version.
    (Closes: #456950, #485081, #513679, #582409, #593084, #653448)
  * Bumped Standards-Version to 3.9.2, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Wed, 11 Jan 2012 13:02:57 +0100
