## soundkonverter 1.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -70,6 +70,7 @@
    configdialog/configgeneralpage.cpp
    configdialog/configbackendspage.cpp
    configdialog/configadvancedpage.cpp
+   configdialog/configcoverartpage.cpp
    metadata/tagengine.cpp
    metadata/MetaReplayGain.cpp
    opener/fileopener.cpp
