=== debian/changelog ===
soundkonverter (1.3.2-1) unstable; urgency=low

  * New upstream version 1.3.2

 -- Michael Meskes <meskes@debian.org>  Sun, 19 Feb 2012 15:52:30 +0100
