=== plugins/soundkonverter_codec_twolame/CMakeLists.txt ===
--- 
+++ 
@@ -10,10 +10,7 @@
 
 kde4_add_plugin(soundkonverter_codec_twolame ${soundkonverter_codec_twolame_SRCS})
 
-# kde4_add_library(soundkonverter_codec_twolame SHARED ${soundkonverter_codec_twolame_SRCS})
-
 target_link_libraries(soundkonverter_codec_twolame ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )
-#target_link_libraries(soundkonverter_codec_twolame ${KDE4_KIO_LIBS} )
 
 ########### install files ###############
