## soundkonverter 1.9.80

=== debian/changelog ===
soundkonverter (1.9.80-1) unstable; urgency=low

  * Imported Upstream version 1.9.80
  * Bumped Standards-Version to 3.9.4, no changes needed.
  * Don't mention cdda2wav anymore.

 -- Michael Meskes <meskes@debian.org>  Tue, 29 Jan 2013 10:45:26 +0100

soundkonverter (1.6.4-1) unstable; urgency=low

  * Imported Upstream version 1.6.4
  * Added working watch file.
    Thanks to Bart Martens <bartm@debian.org>
  * Use dpkg-buildflags for package hardening.
  * Added dpkg-dev build dependency needed for dpkg-buildflags inclusion.

 -- Michael Meskes <meskes@debian.org>  Mon, 07 Jan 2013 12:09:22 +0100
